Loading...
Searching...
No Matches
fastjet::AreaDefinition Class Reference
Area-related classes

class that holds a generic area definition More...

`#include <fastjet/AreaDefinition.hh>`

## Public Member Functions

| AreaDefinition ()
| default constructor, which provides a ghosted active area, with sensible defaults for the ghosts.
| AreaDefinition (AreaType type, const GhostedAreaSpec &spec)
| constructor for an area definition based on an area type and a ghosted area specification
| AreaDefinition (AreaType type, const VoronoiAreaSpec &spec)
| constructor for an area definition based on an area type and a voronoi area specification (type must be voronoi_area)
| AreaDefinition (AreaType type)
| constructor for an area definition based on an area type and which attempts to provide sensible defaults for everything else
| AreaDefinition (const GhostedAreaSpec &spec, AreaType type=active_area)
| constructor for an area definition based on an ghosted area specification, and an option to select which ghosted area you want
| AreaDefinition (const VoronoiAreaSpec &spec)
| constructor for an area definition based on a voronoi area specification
std::string | description () const
| return a description of the current area definition
AreaType | area_type () const
| return info about the type of area being used by this defn
const GhostedAreaSpec & | ghost_spec () const
| return a reference to the active area spec
GhostedAreaSpec & | ghost_spec ()
const VoronoiAreaSpec & | voronoi_spec () const
| return a reference to the voronoi area spec
AreaDefinition | with_fixed_seed (const std::vector< int > &iseed) const
| return a copy of this AreaDefinition with a user-defined set of seeds

## Detailed Description

class that holds a generic area definition

Definition at line 82 of file AreaDefinition.hh.

## Constructor & Destructor Documentation

## AreaDefinition() [1/6]

fastjet::AreaDefinition::AreaDefinition | ( |  | ) |

inline

default constructor, which provides a ghosted active area, with sensible defaults for the ghosts.

Definition at line 87 of file AreaDefinition.hh.

## AreaDefinition() [2/6]

fastjet::AreaDefinition::AreaDefinition | ( | AreaType | type,
|  | const GhostedAreaSpec & | spec )

inline

constructor for an area definition based on an area type and a ghosted area specification

Definition at line 94 of file AreaDefinition.hh.

## AreaDefinition() [3/6]

fastjet::AreaDefinition::AreaDefinition | ( | AreaType | type,
|  | const VoronoiAreaSpec & | spec )

inline

constructor for an area definition based on an area type and a voronoi area specification (type must be voronoi_area)

Definition at line 102 of file AreaDefinition.hh.

## AreaDefinition() [4/6]

fastjet::AreaDefinition::AreaDefinition | ( | AreaType | type | ) |

inline

constructor for an area definition based on an area type and which attempts to provide sensible defaults for everything else

Definition at line 110 of file AreaDefinition.hh.

## AreaDefinition() [5/6]

fastjet::AreaDefinition::AreaDefinition | ( | const GhostedAreaSpec & | spec,
|  | AreaType | type = active_area )

inline

constructor for an area definition based on an ghosted area specification, and an option to select which ghosted area you want

Definition at line 121 of file AreaDefinition.hh.

## AreaDefinition() [6/6]

fastjet::AreaDefinition::AreaDefinition | ( | const VoronoiAreaSpec & | spec | ) |

inline

constructor for an area definition based on a voronoi area specification

Definition at line 129 of file AreaDefinition.hh.

## Member Function Documentation

## description()

string fastjet::AreaDefinition::description | ( |  | ) | const

return a description of the current area definition

return info about the type of area being used by this defn

Definition at line 48 of file AreaDefinition.cc.

## area_type()

AreaType fastjet::AreaDefinition::area_type | ( |  | ) | const

inline

return info about the type of area being used by this defn

Definition at line 138 of file AreaDefinition.hh.

## ghost_spec() [1/2]

const GhostedAreaSpec & fastjet::AreaDefinition::ghost_spec | ( |  | ) | const

inline

return a reference to the active area spec

Definition at line 141 of file AreaDefinition.hh.

## ghost_spec() [2/2]

GhostedAreaSpec & fastjet::AreaDefinition::ghost_spec | ( |  | ) |

inline

Definition at line 142 of file AreaDefinition.hh.

## voronoi_spec()

const VoronoiAreaSpec & fastjet::AreaDefinition::voronoi_spec | ( |  | ) | const

inline

return a reference to the voronoi area spec

Definition at line 145 of file AreaDefinition.hh.

## with_fixed_seed()

AreaDefinition fastjet::AreaDefinition::with_fixed_seed | ( | const std::vector< int > & | iseed | ) | const

inline

return a copy of this AreaDefinition with a user-defined set of seeds

Definition at line 148 of file AreaDefinition.hh.

The documentation for this class was generated from the following files:

- include/fastjet/AreaDefinition.hh
- src/AreaDefinition.cc